<?xml version="1.0" encoding="UTF-8"?>

<?xml-stylesheet href="chrome://global/skin/global.css" type="text/css" ?>
<!DOCTYPE dialog SYSTEM "chrome://cometbird/locale/cometbird_translate_setting.dtd">

<prefwindow id="cometbird_translate_setting" title="&cometbird.translate.settingdialog.title;" 
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
	buttons="accept,cancel"
	width="340" height="300"
	ondialogaccept="return CometBirdTranslateSetting.doOk();"
    onload="CometBirdTranslateSetting.doLoad();"
    onunload="CometBirdTranslateSetting.doUnload();"
    persist="screenX screenY" >
    	
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_translate_setting.js" />
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_utility.js" />
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_file.js" />
	
	<prefpane id="cometbird_setting_panel" label="&cometbird.translate.settingdialog.drag_panel.label;" flex="1" image="chrome://cometbird/skin/setting_panel_general.png" >
		<hbox>
			<spacer width="2px"/>
			<vbox>
				<spacer height="15"/>
				<checkbox id="cometbird-tab-group" label="&cometbird.translate.settingdialog.enable_tab_group;"/>
				
				<spacer height="15"/>
				<checkbox id="cometbird-drag-drop-text" label="&cometbird.translate.settingdialog.enable_text_drag;"/>
		
				<spacer height="15"/>
				<checkbox id="cometbird-drag-drop" label="&cometbird.translate.settingdialog.enable_drag;"/>
			</vbox>
		</hbox>
	</prefpane>
	
	<prefpane id="cometbird_setting_translate_panel" label="&cometbird.translate.settingdialog.general_translate_panel.label;" flex="1" image="chrome://cometbird/skin/translator_32.png"> 
		<hbox>
			<spacer width="15px"/>
			
			<vbox>
				<hbox align="center">
						<label value="&cometbird.translate.settingdialog.from_description.label;" class="header" style="font-size: 13px;"/>
						<spacer height="25"/>
				</hbox>
				 
				<!-- menulist-->
				<hbox>
					<menulist id="translate-from" width="170" >
						<menupopup>
							<menuitem label="&cometbird.translate.settingdialog.auto_lang;" value="auto" selected="true" />
							<menuseparator width="20"/>
							
							<menuitem label="&cometbird.translate.settingdialog.english_lang;" value="en" />
							<menuitem label="&cometbird.translate.settingdialog.chinese_lang;" value="zh-CN" />
							<menuitem label="&cometbird.translate.settingdialog.chineseTW_lang;" value="zh-TW" />
							<menuseparator width="20"/>
							
							<menuitem label="&cometbird.translate.settingdialog.arabic_lang;" value="ar" />
							<menuitem label="&cometbird.translate.settingdialog.bulgarian_lang;" value="bg" />
							<menuitem label="&cometbird.translate.settingdialog.croatian_lang;" value="hr" />
							<menuitem label="&cometbird.translate.settingdialog.czech_lang;" value="cs" />
							<menuitem label="&cometbird.translate.settingdialog.danish_lang;" value="da" />
							<menuitem label="&cometbird.translate.settingdialog.dutch_lang;" value="nl" />
							<menuitem label="&cometbird.translate.settingdialog.finnish_lang;" value="fi" />
							<menuitem label="&cometbird.translate.settingdialog.french_lang;" value="fr" />
							<menuitem label="&cometbird.translate.settingdialog.german_lang;" value="de" />
							<menuitem label="&cometbird.translate.settingdialog.greek_lang;" value="el" />
							<menuitem label="&cometbird.translate.settingdialog.hindi_lang;" value="hi" />
							<menuitem label="&cometbird.translate.settingdialog.italian_lang;" value="it" />
												
							<menuitem label="&cometbird.translate.settingdialog.japanese_lang;" value="ja" />
							<menuitem label="&cometbird.translate.settingdialog.korean_lang;" value="ko" />
							<menuitem label="&cometbird.translate.settingdialog.norwegian_lang;" value="no" />
							<menuitem label="&cometbird.translate.settingdialog.polish_lang;" value="po" />
							<menuitem label="&cometbird.translate.settingdialog.portuguese_lang;" value="pt" />
							<menuitem label="&cometbird.translate.settingdialog.romanian_lang;" value="ro" />
							<menuitem label="&cometbird.translate.settingdialog.russian_lang;" value="ru" />
							<menuitem label="&cometbird.translate.settingdialog.spanish_lang;" value="es" />
							<menuitem label="&cometbird.translate.settingdialog.swedish_lang;" value="sv" />
						</menupopup>
					</menulist>
				</hbox>
				
				<hbox align="center">
					<label value="&cometbird.translate.settingdialog.to_description.label;" class="header" style="font-size: 13px;"/>
					<spacer height="25"/>
				</hbox>
				
				<hbox>
					<menulist id="translate-to" width="170" >
						<menupopup>
							<menuitem label="&cometbird.translate.settingdialog.auto_lang;" value="auto" selected="true"/>
							<menuseparator width="20"/>
							
							<menuitem label="&cometbird.translate.settingdialog.english_lang;" value="en"/>
							<menuitem label="&cometbird.translate.settingdialog.chinese_lang;" value="zh-CN"/>
							<menuitem label="&cometbird.translate.settingdialog.chineseTW_lang;" value="zh-TW" />
							<menuseparator width="20"/>
							
							<menuitem label="&cometbird.translate.settingdialog.arabic_lang;" value="ar" />
							<menuitem label="&cometbird.translate.settingdialog.bulgarian_lang;" value="bg" />
							<menuitem label="&cometbird.translate.settingdialog.croatian_lang;" value="hr" />
							<menuitem label="&cometbird.translate.settingdialog.czech_lang;" value="cs" />
							<menuitem label="&cometbird.translate.settingdialog.danish_lang;" value="da" />
							<menuitem label="&cometbird.translate.settingdialog.dutch_lang;" value="nl" />
							<menuitem label="&cometbird.translate.settingdialog.finnish_lang;" value="fi" />
							<menuitem label="&cometbird.translate.settingdialog.french_lang;" value="fr" />
							<menuitem label="&cometbird.translate.settingdialog.german_lang;" value="de" />
							<menuitem label="&cometbird.translate.settingdialog.greek_lang;" value="el" />
							<menuitem label="&cometbird.translate.settingdialog.hindi_lang;" value="hi" />
							<menuitem label="&cometbird.translate.settingdialog.italian_lang;" value="it" />
	
							<menuitem label="&cometbird.translate.settingdialog.japanese_lang;" value="ja" />
							<menuitem label="&cometbird.translate.settingdialog.korean_lang;" value="ko" />
							<menuitem label="&cometbird.translate.settingdialog.norwegian_lang;" value="no" />
							<menuitem label="&cometbird.translate.settingdialog.polish_lang;" value="po" />
							<menuitem label="&cometbird.translate.settingdialog.portuguese_lang;" value="pt" />
							<menuitem label="&cometbird.translate.settingdialog.romanian_lang;" value="ro" />
							<menuitem label="&cometbird.translate.settingdialog.russian_lang;" value="ru" />
							<menuitem label="&cometbird.translate.settingdialog.spanish_lang;" value="es" />
							<menuitem label="&cometbird.translate.settingdialog.swedish_lang;" value="sv" />
						</menupopup>
					</menulist>
				</hbox>
				
				<hbox>
					<vbox>
						<spacer height="6"/>
						<checkbox id="cometbird-translate-getword" label="&cometbird.translate.settingdialog.enable_getword;"/>
						
						<spacer height="6"/>
						<checkbox id="cometbird-translate-selected" label="&cometbird.translate.settingdialog.enable_selected;"/>
					</vbox>
				</hbox>
			</vbox>
		</hbox>
    </prefpane>
	
	<prefpane id="cometbird_statistics_panel" label="&cometbird.translate.settingdialog.statistics_panel.label;" flex="1" image="chrome://cometbird/skin/statistics_32.png" >
		<hbox>
			<spacer width="2px"/>
			<vbox flex="1">
				<spacer height="5"/>
				<description id="cometbird-statistics-description" flex="1" style="max-width:300px;"/>
		
				<spacer height="10"/>
				<checkbox id="cometbird-statistics-checkbox" label="&cometbird.translate.settingdialog.enable_statistics;"/>
			</vbox>
		</hbox>
	</prefpane>
	
	<prefpane id="cometbird_setting_about_panel" label="&cometbird.translate.settingdialog.about_panel.label;" flex="1" image="chrome://cometbird/skin/setting_panel_advanced.png" >
		<hbox>
			<spacer width="1px"/>
			<vbox >
				<spacer height="12px"/>
				<image src="chrome://cometbird/skin/icon.png" />
			</vbox>
			
			<spacer width="1px"/>
			<vbox >
				<spacer height="12px"/>
				<row align="left">
					<label value="&cometbird.translate.settingdialog.homepage.label;" width="52" />
					<label value="&cometbird.translate.settingdialog.homepage_url.label;" class="text-link" onclick="CometBirdTranslateSetting.openHomePage();" />
				</row>
				<!--
				<spacer height="12px"/>
				<row align="left">
					<label value="&cometbird.translate.settingdialog.help.label;" width="52" />
					<label value="&cometbird.translate.settingdialog.help_url.label;" class="text-link" onclick="CometBirdTranslateSetting.openHelpUrl();" />
				</row>
				-->
				<spacer height="12px"/>
				<row align="left">
					<label value="&cometbird.translate.settingdialog.copyright.label;" width="52" />
					<label value="&cometbird.translate.settingdialog.copyright_content.label;"  />
				</row>
			</vbox>
		</hbox>
	</prefpane>
	
</prefwindow>
